%define ver 0.61
%define rel 0

Summary:	CCT v%{ver}-%{rel} for RedHat Linux
Version: 	%ver
Release:	%rel
Name:		cct
Requires:	tetex tetex-fonts tetex-latex cct-fonts gawk
#Requires:	tetex-xdvi tetex-dvips
# -- cctpace.c requires the kpse headers and libs
BuildRequires:	tetex
# -- 'cct-redhat6x' is the name used in old CCT packages
Provides:	cct-redhat6x cct
Group:		Applications/Publishing
Source:		cct-%{ver}-%{rel}.tar.bz2
URL:		ftp://lsec.cc.ac.cn/pub/cct
Packager:	Zhang Lin-bo <zlb@lsec.cc.ac.cn>
License:	non-commercial use
BuildRoot:	/var/tmp/cct-%{ver}-root
Prefix:		/usr

%description

CCT is a set of programs which adds Chinese support to
an existing TeX system. This package is designed to work
with RedHat teTeX distribution.

This RPM distribution contains cct-0.61, ctex-0.2.6 and addr2tex-20040724.

%prep
%setup -q -n cct-dist

%build
make all

%install
rm -rf $RPM_BUILD_ROOT
make prefix=%{prefix} install_root=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
cctinit >/dev/null 2>&1
texhash

%preun
# Note: these commands seem to be executed after 'post', thus
#	they may remove the newly created files when upgrading.
#rm -f %{prefix}/share/texmf/tex/cct/cchead.sty \
#	%{prefix}/share/texmf/fonts/tfm/cct/cc{fnt[a-z],dummy}.tfm \
#	%{prefix}/share/texmf/fonts/cct/pk/*

%postun
texhash

%files
%defattr(-,root,root)
%dir %{prefix}/share/texmf/fonts/tfm/cct
%config %{prefix}/bin/cct.ini
%config %{prefix}/bin/cctinit.ini
%config %{prefix}/share/texmf/tex/cct/CCT.cfg
%config %{prefix}/share/texmf/tex/cct/CCT047.cfg
%config %{prefix}/share/texmf/tex/cct/cctspace.cfg
%config %{prefix}/share/texmf/tex/cct/cct.dat
%config %{prefix}/share/texmf/tex/cct/GBKkern.cfg
%config %{prefix}/share/texmf/tex/cct/clib256e.tbl
%config %{prefix}/share/texmf/tex/cct/gbkdef.tbl
%config %{prefix}/share/texmf/tex/cct/gbksong.tbl
%config %{prefix}/share/texmf/tex/cct/gbkhei.tbl
%config %{prefix}/share/texmf/tex/cct/gbkkai.tbl
%config %{prefix}/share/texmf/tex/cct/gbkfs.tbl
%config %{prefix}/share/texmf/tex/cct/gbkbs.tbl
%config %{prefix}/share/texmf/tex/cct/gbkli.tbl
%config %{prefix}/share/texmf/tex/cct/gbkyou.tbl
%config %{prefix}/share/texmf/tex/cct/addr2tex.sty
%{prefix}/bin/bmf2pcx
%{prefix}/bin/bmf2tif
%{prefix}/bin/cct
%{prefix}/bin/cctamstex
%{prefix}/bin/cctconv
%{prefix}/bin/cctinit
%{prefix}/bin/cctlatex
%{prefix}/bin/cctpdflatex
%{prefix}/bin/cctpdftex
%{prefix}/bin/cctspace
%{prefix}/bin/ccttex
%{prefix}/bin/ctex
%{prefix}/bin/dvipsc
%{prefix}/bin/gbk2uni
%{prefix}/bin/patchchk
%{prefix}/bin/patchdvi
%{prefix}/bin/text2dvi
%{prefix}/bin/uncct
%{prefix}/bin/xdvic
%{prefix}/bin/eps2pdf
%{prefix}/bin/fonttest
%{prefix}/bin/charcnt
%{prefix}/bin/GBKpunct
%{prefix}/bin/addr2tex
%{prefix}/bin/gb2wncyr
%{prefix}/bin/cctmkind
%{prefix}/share/doc/cct/*
%{prefix}/share/texmf/tex/cct/CCT.sty
%{prefix}/share/texmf/tex/cct/CCT047.sty
%{prefix}/share/texmf/tex/cct/CJKCCT.sty
%{prefix}/share/texmf/tex/cct/cctart.cls
%{prefix}/share/texmf/tex/cct/cctbase.sty
%{prefix}/share/texmf/tex/cct/cctbook.cls
%{prefix}/share/texmf/tex/cct/hzcmd.sty
%{prefix}/share/texmf/tex/cct/CCTty.sty
%{prefix}/share/texmf/tex/cct/everb.sty
%{prefix}/share/texmf/makeindex/cct/cct.ist
%{prefix}/share/texmf/makeindex/cct/cctglo.ist

%changelog

* Mon Oct  4 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>

- CCT 0.61, ctex 0.2.6, everb 0.1.7, etc.,

- add files TEXMF/makeindex/cct/{cct.ist,cctglo.ist}

* Sat Aug 14 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>

- everb.sty 0.1.6

* Sat Jul 24 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>

- Add add2tex

- ctex-0.2.5

* Thu Mar 18 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>

- Add everb.sty

- The package made relocatable (rpm --prefix ...)

* Thu Feb 12 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>

- Add /usr/share/texmf/tex/cct/gbk{li,you}.tbl

* Sat Dec 20 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- Add files /usr/share/doc/cct/CCTLaTeX.{tex,pdf}

* Sun Aug 24 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- Upgrade to CCT.sty 0.6.0

- Lines containing 'CCTdebug' removed from CCT.sty in the distribution

* Thu Aug 14 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- CCT.sty upgraded to 0.4.7

* Fri Aug 08 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- xdvic: '-nofork' option removed for compatibility with older versions
  of xdvik.

* Sat Jun 21 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- ctex 0.2.1 (source filenames in .log and .dvi files are automatically
  restored)

* Mon Apr 21 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- preun: keep the files 'cchead.sty', 'ccdummy.tfm', and 'ccfnt*.tfm',
  (otherwise the newly generated files will be removed when upgrading).

  Note: need to run 'rpm -Uvh --force cct*.rpm' twice if upgrading from
  an older version of cct.

* Thu Mar 06 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- create src.rpm

- new versions of cct, cctinit, cctspace, cctconv, and patchdvi
  (minor bug fixes and enhancements).

- replace the 'cct*tex' scripts with symbolic links to 'ctex'.

* Mon Jan 30 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- cct, cctinit upgraded to v5.15 (the new version does
  not insert spaces before or after '~')

- new cctart.cls and cctbook.cls based on CCT.sty

